import request from '@/utils/request'

// 新增消息模板
export function addMessage(data) {
  return request({
    url: '/authority/messages',
    method: 'post',
    data
  })
}

// 查询列表
export function listMes(query) {
  return request({
    url: '/authority/messages',
    method: 'get',
    params: query
  })
}

// 查询详情
export function detailMes(id) {
  return request({
    url: `/authority/messages/${id}`,
    method: 'get'
  })
}

// 修改消息模板
export function editMessage(id, data) {
  return request({
    url: `/authority/messages/${id}`,
    method: 'put',
    data
  })
}

// 删除根据id
export function deleteMes(id) {
  return request({
    url: `/authority/messages/${id}`,
    method: 'delete'
  })
}
// 批量删除根据id（逗号拼接）
export function deleteBatch(ids) {
  return request({
    url: `/authority/messages/${ids}`,
    method: 'delete',
  })
}

export function listUser(query) {
  return request({
    url: '/authority/system/user/list',
    method: 'get',
    params: query
  })
}
// 起停消息
export function toggleMes(query) {
  return request({
    url: '/authority/message/template/changeOpenAndClose',
    method: 'post',
    params: query
  })
}

// 验重编号
export function checkWeight(query) {
  return request({
    url: '/authority/message/template/checkNumberCodeUnique',
    method: 'get',
    params: query
  })
}
export function getUsersBySelected(params) {
  return request({
    url: '/authority/system/user/getMessageUser',
    methods: 'get',
    params: params
  })
}
